import type { ExtractPropTypes } from 'vue';
import type AutoComplete from './auto-complete.vue';
export declare const autoCompleteProps: {
    readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ant-design-vue/es/select").DefaultOptionType[]>, unknown, unknown, () => any[], boolean>;
    readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly allowClear: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly bordered: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly caseSensitive: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly filterOption: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<boolean | ((input: string, option: {
        value: string;
    }) => boolean)>, unknown, unknown, true, boolean>;
    readonly isMultiLine: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly expandOpportunity: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "change" | "focus" | "character", unknown, "focus", boolean>;
    readonly triggerCharacter: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly appendMode: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly appendCharacter: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly ignoreSelection: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
};
export type AutoCompleteProps = ExtractPropTypes<typeof autoCompleteProps>;
export type AutoCompleteInstance = InstanceType<typeof AutoComplete>;
